# Diese Datei wurde mit dem qmake-Manager von KDevelop erstellt. 
# ------------------------------------------- 
# Unterverzeichnis relativ zum Projektverzeichnis: ./src/basicelements
# Das Target ist eine Bibliothek:  GBE

INSTALLS += target 
target.path = /usr/local/lib 
TARGETDEPS += ../../lib/libGCS.so \
              ../../lib/libGWE.so 
LIBS += -lGCS \
        -lGWE 
INCLUDEPATH = ../../src/worldengine \
              ../../src/core 
MOC_DIR = ../../build/GBE/moc 
OBJECTS_DIR = ../../build/GBE/obj 
QMAKE_LIBDIR = ../../lib \
               ../../lib 
TARGET = GBE 
DESTDIR = ../../lib/ 
CONFIG += release \
          warn_on \
          qt \
          opengl \
          thread \
          dll \
          exceptions \
          rtti 
VERSION = 0.4.1 
TEMPLATE = lib 
HEADERS += GOpenGLForm.h \
           GAttractAgent.h \
           GPositionalInfluence.h \
           GRadiatingAgent.h \
           GInfluenceableAgent.h \
           GMoveAgent.h \
           GInvestigationAgent.h \
           GEnergyFormAgent.h \
           GReparentAgent.h \
           GReparentInfluence.h \
           GDynamicGeneratorAgent.h \
           PseudoRNG.h \
           GActiveElementInfluence.h \
           GSolarsystemCategory.h \
           GDynamicGeneratorCategory.h \
           GPlanetCategory.h \
           GSolarsystemForm.h 
SOURCES += GOpenGLForm.cpp \
           GAttractAgent.cpp \
           GPositionalInfluence.cpp \
           GRadiatingAgent.cpp \
           GInfluenceableAgent.cpp \
           GMoveAgent.cpp \
           GInvestigationAgent.cpp \
           GEnergyFormAgent.cpp \
           GReparentAgent.cpp \
           GReparentInfluence.cpp \
           GDynamicGeneratorAgent.cpp \
           PseudoRNG.cpp \
           GActiveElementInfluence.cpp \
           GDynamicGeneratorCategory.cpp \
           GSolarsystemCategory.cpp \
           GPlanetCategory.cpp \
           GSolarsystemForm.cpp 
